View Issue Details

IDProjectCategoryView StatusLast Update
0003986SymmetricDSBugpublic2019-08-29 12:37
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.21Fixed in Version3.9.21 
Summary0003986: Firebird mis-identified as DB2
DescriptionConnecting to Firebird 2.5 database, but it gets identified as DB2, which causes problems since it's using wrong platform code.

https://sourceforge.net/p/symmetricds/discussion/739236/thread/afa3e54032/

JdbcDatabasePlatformFactory - Detected database 'db2', version '2', protocol 'firebirdsql'
JdbcDatabasePlatformFactory - The IDatabasePlatform being used is org.jumpmind.db.platform.db2.
Db2DatabasePlatform

We're using database name to identify platform, but we should probably be using protocol.
TagsNo tags attached.

Relationships

related to 0004084 resolvedelong DB2 AS400 dialect is mis-identified as Generic 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 89579b63

2019-05-31 09:21:15

admin

Details Diff
0003986: Firebird mis-identified as DB2
0003986
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File

SymmetricDS: 3.10 fc654e71

2019-05-31 09:21:15

admin

Details Diff
0003986: Firebird mis-identified as DB2
0003986
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File

Issue History

Date Modified Username Field Change
2019-05-31 09:19 elong New Issue
2019-05-31 09:19 elong Status new => assigned
2019-05-31 09:19 elong Assigned To => elong
2019-05-31 09:24 elong Status assigned => resolved
2019-05-31 09:24 elong Resolution open => fixed
2019-05-31 09:24 elong Fixed in Version => 3.9.21
2019-05-31 10:00 admin Changeset attached => SymmetricDS 3.9 89579b63
2019-05-31 10:00 admin Changeset attached => SymmetricDS 3.10 fc654e71
2019-06-25 13:58 admin Status resolved => closed
2019-08-29 12:37 elong Relationship added related to 0004084